Bug 161437 - devel/bmake: update to 20111001 snapshot
devel/bmake: update to 20111001 snapshot
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-09 19:50 UTC by to.my.trociny
Modified: 2011-10-11 22:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.11 KB, patch)
2011-10-09 19:50 UTC, to.my.trociny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description to.my.trociny 2011-10-09 19:50:09 UTC
Update to 20111001 snapshot:

2011-10-01  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): bump version to 20111001
	  Merge with NetBSD make, pick up
	  o ensure .PREFIX is set for .PHONY
	    and .TARGET set for .PHONY run via .END
	  o __dead used consistently
	
2011-09-10  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): 20110909 is a better number ;-)

2011-09-05  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): bump version to 20110905
	  Merge with NetBSD make, pick up
	  o meta_oodate: ignore makeDependfile
	
2011-08-28  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): bump version to 20110828
	  Merge with NetBSD make, pick up
	  o silent=yes in .MAKE.MODE causes meta mode to mark targets 
	    as SILENT if a .meta file is created

2011-08-18  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): bump version to 20110818
	  Merge with NetBSD make, pick up
	  o in meta mode, if target flagged .META a missing .meta file
	    means target is out-of-date
	  o fixes for gcc 4.5 warnings
	  o simplify job printing code
	
2011-08-09  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): bump version to 20110808
	  Merge with NetBSD make, pick up
	  o do not touch OP_SPECIAL targets when doing make -t

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2011-10-11 21:42:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter freebsd_committer 2011-10-11 22:16:17 UTC
pawel       2011-10-11 21:16:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/bmake          Makefile distinfo 
  Log:
  Update to snapshot 20111001
  
  PR:             ports/161437
  Submitted by:   Mikolaj Golub <to.my.trociny@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.11      +1 -1      ports/devel/bmake/Makefile
  1.10      +4 -4      ports/devel/bmake/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2011-10-11 22:16:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!